package com.jxdinfo.hussar.core.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jxdinfo.hussar.CoreVersion;
import com.jxdinfo.hussar.core.cache.CacheEntry;
import com.jxdinfo.hussar.core.constant.RequestCount;
import com.jxdinfo.hussar.core.listener.RLInterceptor;
import com.jxdinfo.hussar.core.support.OrderedProperties;
import com.jxdinfo.hussar.core.support.StrKit;
import com.jxdinfo.hussar.core.support.SystemInfo;
import com.jxdinfo.hussar.core.support.exception.NoLicenseException;
import com.jxdinfo.hussar.core.ui.UI;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.NoRouteToHostException;
import java.net.URL;
import java.nio.charset.Charset;
import java.security.KeyFactory;
import java.security.PrivateKey;
import java.security.spec.PKCS8EncodedKeySpec;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
import java.util.regex.Matcher;
import javax.crypto.Cipher;
import org.apache.commons.io.FileUtils;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DateUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.slf4j.helpers.NOPLogger;
import org.springframework.context.annotation.DependsOn;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import org.springframework.http.HttpStatus;
import org.springframework.util.FileCopyUtils;
import org.springframework.util.ResourceUtils;

/* compiled from: zb */
@DependsOn({"springContextHolder"})
/* loaded from: SecurityUtil.class */
public abstract class SecurityUtil {
    private static Date r;
    static String s;
    private static long N;
    private static String U;
    private static final String w = "target/classes/bootstrap";
    public static String folderName;
    private static final String Z = "/";
    private static Boolean O;
    private static String B;
    private static final String M = "rpc/ping";
    private static final String K = "rpc/releaseTicket";
    private static boolean E;
    private static Boolean A;
    private static String b;
    private static String m;
    protected static byte[] hussar_header;
    private static String f;
    private static Boolean a;
    private static final String H = "rpc/obtainTicket";
    private static String l;
    private static String c;
    private static final String L = "rpc/obtainId";
    private static long g;
    private static String D;
    private static Integer h;
    private static Boolean i;
    private static String J;
    private static final String F = "target/classes/application";
    private static Date j;
    private static final String C = "rpc/prolongTicket";

    /* renamed from: goto, reason: not valid java name */
    private static String f0goto;
    protected static String RequstCode;
    protected static Logger log = LoggerFactory.getLogger(NOPLogger.class);
    public static final String SF_FILE_SEPARATOR = System.getProperty(Checker.static("\\XKI\u0004Rc}F^[EPF"));
    private static final String I = CoreVersion.getFolderName();
    private static final String d = CoreVersion.getDevFolderName();
    private static final String G = System.getProperty(CacheEntry.abstract("\u0015o\u0002iNn\u0012!R"));
    public static final String SECURITY_PATH = new StringBuilder().insert(0, G).append(SF_FILE_SEPARATOR).append(I).toString();
    protected static final String SECURITY_PATH_DEV = new StringBuilder().insert(0, G).append(SF_FILE_SEPARATOR).append(d).toString();
    public static boolean isLicenseValidity = false;
    public static boolean isDateTimeValidity = false;
    private static Long e = 0L;
    private static Long Q = 0L;
    private static Integer Y = 2048;
    private static String k = SystemUtils.getSystemOsVersion();
    protected static byte[] hussar_V8_header = {61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10, -26, -84, -94, -24, -65, -114, -28, -67, -65, -25, -108, -88, -24, -67, -69, -23, -86, -111, -27, -123, -75, -27, -68, Byte.MIN_VALUE, -27, -113, -111, -27, -71, -77, -27, -113, -80, 86, 56, 13, 10, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10};
    protected static byte[] hussar_V9_header = {61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10, -26, -84, -94, -24, -65, -114, -28, -67, -65, -25, -108, -88, -24, -67, -69, -23, -86, -111, -27, -123, -75, -28, -67, -114, -28, -69, -93, -25, -96, -127, -27, -68, Byte.MIN_VALUE, -27, -113, -111, -27, -71, -77, -27, -113, -80, 13, 10, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10};

    protected static Date getEndDateFromMap(Map<String, String> map) {
        String str = map.get(CacheEntry.abstract("!Q W\tv\u001c"));
        String str2 = str;
        if (StringUtils.isNotEmpty(str) && str2.length() == "yyyy-MM-dd".length()) {
            str2 = new StringBuilder().insert(0, str2).append(Checker.static("\u00014>\u001d\u0019\u0003\u000b\n\r")).toString();
        }
        return DateUtil.parseTime(str2);
    }

    protected static Date getStartDateFromMap(Map<String, String> map) {
        String str = map.get(CacheEntry.abstract("5k\u0005M0W\tv\u001c"));
        String str2 = str;
        if (StringUtils.isNotEmpty(str) && str2.length() == "yyyy-MM-dd".length()) {
            str2 = new StringBuilder().insert(0, str2).append(Checker.static("\u00016=\u001d\u001c\n\u000b\u000f\u0004")).toString();
        }
        return DateUtil.parseTime(str2);
    }

    /* JADX WARN: Unreachable blocks removed: 2, instructions: 2 */
    public static String readText(InputStream a2) {
        try {
            try {
                byte[] readByte = readByte(a2);
                byte[] bArr = readByte;
                if (EncryptUtil.hexEncode(ArrayUtils.subarray(readByte, 0, 3)).equals(Checker.static("BJXS]R"))) {
                    bArr = ArrayUtils.subarray(bArr, 3, bArr.length);
                }
                String str = new String(bArr, CacheEntry.abstract("\u0019~\u0017+E"));
                if (a2 != null) {
                    try {
                        a2.close();
                        return str;
                    } catch (IOException e2) {
                        log.error(e2.getLocalizedMessage());
                    }
                }
                return str;
            } catch (Exception e3) {
                log.error(e3.getLocalizedMessage());
                if (a2 == null) {
                    return null;
                }
                try {
                    a2.close();
                    return null;
                } catch (IOException e4) {
                    log.error(e4.getLocalizedMessage());
                    return null;
                }
            }
        } catch (Throwable th) {
            if (a2 != null) {
                try {
                    a2.close();
                    throw th;
                } catch (IOException e5) {
                    log.error(e5.getLocalizedMessage());
                    throw th;
                }
            }
            throw th;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    protected static String bytes2String(byte[] a2) {
        try {
            if (EncryptUtil.hexEncode(ArrayUtils.subarray(a2, 0, 3)).equals(Checker.static("BJXS]R"))) {
                a2 = ArrayUtils.subarray(a2, 3, a2.length);
            }
            return new String(a2, CacheEntry.abstract("\u0015h\u00018V"));
        } catch (Exception e2) {
            log.error(e2.getLocalizedMessage());
            return null;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r5v9, types: [long, java.lang.String] */
    /* JADX WARN: Unreachable blocks removed: 4, instructions: 4 */
    /* renamed from: true, reason: not valid java name */
    private static synchronized /* synthetic */ void m12true() {
        if (!ResourceUtils.checkVersion() || !FileUtil.checkVersion()) {
            exitSystem(Checker.static("探杹骽详夝贏＠棆浆列匩袑俟攆J"), false);
        }
        if (c != null) {
            return;
        }
        if (!m3const(m)) {
            m10byte();
            PropertyUtil.newInstance(CacheEntry.abstract("\nx��"));
            String msg = PropertyUtil.getMsg(Checker.static("GPX"), CacheEntry.abstract("\u0018R/u\u001ciNh\njSs\u001eu\nr\u001e"));
            String property = System.getProperty("hussar.trial-model");
            String msg2 = PropertyUtil.getMsg(Checker.static("GPX"), CacheEntry.abstract("\u007f\u0019b\u0019f\u000e.\rt\f(\u000en\u0002Q9tSh\bq\u0012c\u000fr\u0014u\u0010x\u000b"));
            if (msg == null) {
                if (property == null) {
                    update();
                } else if (new HussarAES().checkKey(property)) {
                    O = true;
                    update();
                } else {
                    exitSystem(Checker.static("栈忸丼劌袊靴歙帉篆攕Ｆ糚给旭泲歏市吞劗Ｕ"), a.booleanValue());
                }
            } else {
                if (!msg.endsWith(Z)) {
                    msg = new StringBuilder().insert(0, msg).append(Z).toString();
                }
                b = StringUtils.isBlank(b) ? Long.toString(System.nanoTime()) : b;
                System.setProperty(Checker.static("BOBTMX\u000fpbK\u0002IPS@"), b);
                try {
                    U = EncryptUtil.md5Digest(b);
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put(CacheEntry.abstract("t\u001d{\u0018"), new StringBuilder().insert(0, J).append(b).toString());
                    f0goto = HussarHttpRequest.sendPost(new StringBuilder().insert(0, msg).append(L).toString(), jSONObject, U).getString(Checker.static("^PKU"));
                    jSONObject.put(CacheEntry.abstract("~\u001c"), SystemInfo.getIpAddr());
                    jSONObject.put(Checker.static("nbTXtPRQ"), SystemInfo.getHostName());
                    jSONObject.put(CacheEntry.abstract("\u0012{\u0014s\u0018s\u000fD\u0013s\t"), f0goto);
                    jSONObject.put(Checker.static("OESc[B^IXPZ"), CoreVersion.getVersion());
                    JSONObject sendPost = HussarHttpRequest.sendPost(new StringBuilder().insert(0, msg).append(H).toString(), jSONObject, U);
                    Integer integer = sendPost.getInteger(CacheEntry.abstract("i\u0005m\u0015i\u0013s\u001eD\u0013s\t"));
                    String string = sendPost.getString(Checker.static("IPS@"));
                    ?? string2 = sendPost.getString(CacheEntry.abstract("\u0010e\bt\u001dp\t"));
                    if (integer.intValue() == 200 && b.equals(string)) {
                        Map splitToMapx = StrKit.splitToMapx(SM4Util.decrypt(sendPost.getString(Checker.static("^PKU")), U), CacheEntry.abstract("W"), "=");
                        if (!splitToMapx.containsKey(Checker.static("|XNlhDXtPRQ")) || !splitToMapx.containsKey(CacheEntry.abstract("6r\u001cr\u000fC\u001dc\t")) || !splitToMapx.containsKey(Checker.static("HIH~PKQ")) || !splitToMapx.containsKey(CacheEntry.abstract("/h\u0017r\u0002"))) {
                            throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责��-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＊揵权杶劦嘔引幔")).toString());
                        }
                        if (i.booleanValue() || !splitToMapx.containsKey(Checker.static("EIuZB")) || !Boolean.valueOf((String) splitToMapx.get(CacheEntry.abstract("\u0012t8r\u001a"))).booleanValue()) {
                            if (U.equals((String) splitToMapx.get(Checker.static("xUZZZ")))) {
                                c = (String) splitToMapx.get(CacheEntry.abstract("0l\nl\u0018c\u000fI\u001dz\t"));
                                h = 2;
                                j = getStartDateFromMap(splitToMapx);
                                r = getEndDateFromMap(splitToMapx);
                                long currentTimeMillis = System.currentTimeMillis();
                                isLicenseValidity = r.getTime() > currentTimeMillis && j.getTime() < currentTimeMillis;
                                String str = msg;
                                Executors.newSingleThreadScheduledExecutor().scheduleWithFixedDelay(() -> {
                                    long j2;
                                    long currentTimeMillis2 = System.currentTimeMillis();
                                    if (currentTimeMillis2 - N > 60000) {
                                        N = currentTimeMillis2;
                                        try {
                                            HussarHttpRequest.sendPost(new StringBuilder().insert(0, str).append(M).toString(), jSONObject, U);
                                            j2 = currentTimeMillis2;
                                        } catch (Exception e2) {
                                            if ((e2 instanceof NoRouteToHostException) && StringUtils.isNotBlank(msg2)) {
                                                log.error(Checker.static("迨掘掸杸末劌噉夛负］诐棬柏罰绚迓掂昃吜歒帇Ｕ"));
                                            }
                                        }
                                        if (j2 - g > 86400000) {
                                            return;
                                        }
                                        g = currentTimeMillis2;
                                        try {
                                            JSONObject sendPost2 = HussarHttpRequest.sendPost(new StringBuilder().insert(0, str).append(C).toString(), jSONObject, U);
                                            Integer integer2 = sendPost2.getInteger(CacheEntry.abstract("i\u0005m\u0015\u007f\u0005x\u0015E\u0012s\t"));
                                            String string3 = sendPost2.getString(Checker.static("IPS@"));
                                            if (integer2.intValue() == 200 && b.equals(string3)) {
                                                Map splitToMapx2 = StrKit.splitToMapx(SM4Util.decrypt(sendPost2.getString(CacheEntry.abstract("b\u001cc\r")), U), Checker.static("\u000f"), "=");
                                                if (splitToMapx2.containsKey(CacheEntry.abstract("0l\nz\u000eh\u0004H\u001cz\t")) && splitToMapx2.containsKey(Checker.static("rrlUX~PKQ")) && splitToMapx2.containsKey(CacheEntry.abstract(".e\u0014B\u001cc\t")) && splitToMapx2.containsKey(Checker.static("xUZZZ"))) {
                                                    if (U.equals((String) splitToMapx2.get(CacheEntry.abstract("$i\u0016r\u0002")))) {
                                                        c = (String) splitToMapx2.get(Checker.static("|XNlhDXtPRQ"));
                                                        h = 2;
                                                        j = getStartDateFromMap(splitToMapx2);
                                                        r = getEndDateFromMap(splitToMapx2);
                                                        long currentTimeMillis3 = System.currentTimeMillis();
                                                        isLicenseValidity = r.getTime() > currentTimeMillis3 && j.getTime() < currentTimeMillis3;
                                                        return;
                                                    }
                                                    return;
                                                }
                                                return;
                                            }
                                            return;
                                        } catch (Exception e3) {
                                            if (!(e3 instanceof NoRouteToHostException) || !StringUtils.isNotBlank(msg2)) {
                                                return;
                                            }
                                            log.error(CacheEntry.abstract("迅揅掎朾朆勑噏奭责ｱ诬梠査缴绌辵掮晟吠欞帯ｭ"));
                                            return;
                                        }
                                    }
                                    j2 = currentTimeMillis2;
                                    if (j2 - g > 86400000) {
                                    }
                                }, 1L, string2, TimeUnit.SECONDS);
                            } else {
                                throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责��-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＊揵权杶劦嘔引幔")).toString());
                            }
                        } else {
                            throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责��-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＇弣剪揔杅杰劺嘈仛敊指彽发橚弈伃甿ｭ")).toString());
                        }
                    } else {
                        throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责��-锵试缧砾Ｎ")).append(integer.toString()).append(CacheEntry.abstract("p\n镢诨讚惒ｶ")).append((String) string2).toString());
                    }
                } catch (Exception e2) {
                    exitSystem(e2.getMessage(), a.booleanValue());
                }
            }
            m11char();
            return;
        }
        m5this();
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    static {
        hussar_header = "hussar_V8.lic".equals(CoreVersion.licFileName) ? hussar_V8_header : hussar_V9_header;
        RequstCode = LicenseInfo.generateRequestSN();
        N = System.currentTimeMillis();
        g = System.currentTimeMillis();
        J = CoreVersion.getLicenseVersion();
        O = false;
        i = false;
        m = "";
        A = true;
        D = "http://123.232.10.234:8090";
        a = false;
        folderName = "";
        E = false;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public static byte[] readByte(InputStream a2) {
        try {
            byte[] copyToByteArray = FileCopyUtils.copyToByteArray(a2);
            a2.close();
            return copyToByteArray;
        } catch (Exception e2) {
            log.error(e2.getLocalizedMessage());
            return null;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public static synchronized void releaseTicket() {
        PropertyUtil.newInstance(Checker.static("GPX"));
        String msg = PropertyUtil.getMsg(CacheEntry.abstract("\u001ai\u0011"), Checker.static("ETYIPU\u0002\\Nj#TIHGZF"));
        if (msg == null) {
            return;
        }
        if (!msg.endsWith(Z)) {
            msg = new StringBuilder().insert(0, msg).append(Z).toString();
        }
        JSONObject jSONObject = new JSONObject();
        jSONObject.put(CacheEntry.abstract("d\rj\t"), new StringBuilder().insert(0, J).append(b).toString());
        try {
            HussarHttpRequest.sendPost(new StringBuilder().insert(0, msg).append(K).toString(), jSONObject, U);
        } catch (Exception e2) {
        }
    }

    /* JADX WARN: Unreachable blocks removed: 3, instructions: 3 */
    public static synchronized boolean check() {
        String str;
        if (!ResourceUtils.checkVersion()) {
            exitSystem(CacheEntry.abstract("揩杔髠诐奛贼｣"), false);
        }
        if ("".equals(folderName)) {
            try {
                byte[] bArr = new byte[0];
                File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
                ClassPathResource classPathResource = new ClassPathResource(new StringBuilder().insert(0, Checker.static("eBMB")).append(SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
                if (!file.exists() && classPathResource.exists() && i.booleanValue()) {
                    try {
                        File file2 = classPathResource.getFile();
                        file = file2;
                        EncryptUtil.getFileSHA256(file2);
                        i = true;
                    } catch (IOException e2) {
                        return false;
                    }
                }
                if (!file.exists()) {
                    m6throws(false);
                    log.error(new StringBuilder().insert(0, CacheEntry.abstract("详砄设乫伷旫仧呧丣B")).append(CoreVersion.licFileName).append(Checker.static("〶")).toString());
                    return false;
                }
                File file3 = file;
                if (StringUtils.isNotBlank(CoreVersion.licCusHeader)) {
                    hussar_header = new String(hussar_header, "UTF-8").replaceAll("[\\u4E00-\\u9FA5A-Za-z0-9_-]+", CoreVersion.licCusHeader).getBytes("UTF-8");
                }
                Map fileToMap = new RandomFileUtil(file3, hussar_header.length).fileToMap();
                if (fileToMap.containsKey(CacheEntry.abstract("\tx\t\u007f\u000fd\t?\u000ex\u0016"))) {
                    byte[] bArr2 = (byte[]) fileToMap.get(Checker.static("@CBccTI\u0014U^@"));
                    byte[] bArr3 = (byte[]) fileToMap.get(CacheEntry.abstract("c\u0001?\u000ex\u0016"));
                    byte[] bArr4 = (byte[]) fileToMap.get(Checker.static("TIITtdSU\u0014RM@"));
                    if (Arrays.equals(hussar_header, (byte[]) fileToMap.get(CacheEntry.abstract("\u007f\tp\u000e|\u0010")))) {
                        EncryptUtil.byteArrayToFile(bArr2, new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(Checker.static("MCYTI_O\u000fblS\u0002N\\O\u0004")).toString());
                        EncryptUtil.byteArrayToFile(bArr3, SECURITY_PATH + SF_FILE_SEPARATOR + CacheEntry.abstract("\u0011|D~��cBe\u0007iR"));
                        EncryptUtil.byteArrayToFile(bArr4, new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(Checker.static("^DIOCNXS\u000fe\u007fS\u0002N\\O\u0004")).toString());
                        String str2 = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(ResourceUtils.getFile(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("/c\u001en\u0012w\u0011hDy\u0013cBe\u0007iR")).toString())))));
                        File file4 = new File(SECURITY_PATH);
                        if (!file4.exists()) {
                            file4.mkdirs();
                        }
                        if (!new File(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(Checker.static("MCYTI_O\u000fblS\u0002N\\O\u0004")).toString()).exists()) {
                            m6throws(false);
                            return false;
                        }
                        byte[] hexDecode = EncryptUtil.hexDecode(readText(new FileInputStream(ResourceUtils.getFile(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("j\u0014x\u0005p\u0016tD~��cBe\u0007iR")).toString()))).replaceAll(Checker.static("mL\u001f"), "").trim());
                        File file5 = new File(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u0011|D~��cBe\u0007iR")).toString());
                        if (file5.exists()) {
                            byte[] hexDecode2 = EncryptUtil.hexDecode(readText(new FileInputStream(file5)));
                            byte[] Base64Decode = EncryptUtil.Base64Decode(new String(hexDecode).getBytes());
                            byte[] Base64Decode2 = EncryptUtil.Base64Decode(new String(hexDecode2).getBytes());
                            byte[] decrypt = decrypt(Base64Decode, str2);
                            if (!decrypt.equals(Base64Decode)) {
                                String str3 = new String(decrypt);
                                String str4 = new String(Base64Decode2);
                                Map splitToMapx = StrKit.splitToMapx(str3, Checker.static("\u000f"), "=");
                                Integer valueOf = Integer.valueOf((String) splitToMapx.get(CacheEntry.abstract("1e\u0003u\u001fz\u0016")));
                                folderName = new StringBuilder().insert(0, Checker.static("\u001fO_Z~v\u007fHHORZk")).append(PingYinUtil.getPYIndexStr(StrKit.unicodeToString((String) splitToMapx.get(CacheEntry.abstract("_\u000bt\u0007"))), false)).toString();
                                String str5 = (String) splitToMapx.get(Checker.static("g@eLCHHTLG"));
                                String str6 = (String) splitToMapx.get(CacheEntry.abstract("Y\u000bh\u0005`\rc\u000fP&"));
                                if (valueOf.intValue() != 1 && (!i.booleanValue() || valueOf.intValue() != 3)) {
                                    m6throws(false);
                                    log.error(CacheEntry.abstract("弣剪揔杅旺仭乮玱壦东卓酗ｭ诠梬柴砄讽だ"));
                                    if (valueOf.intValue() == 1) {
                                        str = Checker.static("郒罃掷杷");
                                    } else {
                                        str = valueOf.intValue() == 3 ? CacheEntry.abstract("弑去掑朡") : valueOf.intValue() == 6 ? Checker.static("误甙掷杷") : "";
                                    }
                                    log.error(String.format(Checker.static("接杢断仌下］\tYＭ录剀玈墯一Ｋ\u001aG"), str, O.booleanValue() ? CacheEntry.abstract("评畂玶壡") : i.booleanValue() ? Checker.static("强叠玐墷") : CacheEntry.abstract("郹缘玶壡")));
                                    return false;
                                }
                                Date startDateFromMap = getStartDateFromMap(splitToMapx);
                                Date endDateFromMap = getEndDateFromMap(splitToMapx);
                                Map splitToMapx2 = StrKit.splitToMapx(str4, Checker.static("\u000f"), "=");
                                Date startDateFromMap2 = getStartDateFromMap(splitToMapx2);
                                Date endDateFromMap2 = getEndDateFromMap(splitToMapx2);
                                long currentTimeMillis = System.currentTimeMillis();
                                boolean booleanValue = (endDateFromMap.getTime() > currentTimeMillis && startDateFromMap.getTime() < currentTimeMillis) & SystemInfo.checkMacAndCpu(str5, str6).booleanValue();
                                boolean z = endDateFromMap2.getTime() > currentTimeMillis && startDateFromMap2.getTime() < currentTimeMillis;
                                if (booleanValue && z) {
                                    O = false;
                                    E = true;
                                    m6throws(true);
                                    return true;
                                }
                                m6throws(false);
                                log.error(CacheEntry.abstract("彴剬插杔旫仧乤玨壿不卂酖扶录到糰纯旑閨下坕掓朣旨閑匫閞冟ｭ诠梬柴砄讽だ"));
                                return false;
                            }
                            m6throws(false);
                            return false;
                        }
                        m6throws(false);
                        return false;
                    }
                    file3.delete();
                    return false;
                }
                file3.delete();
                return false;
            } catch (Exception e3) {
                m6throws(false);
                log.error(Checker.static("诊硞讟丬伍斦仜一歒硉皨轑骰关[\u001f郄罈掹杼〶"));
                return false;
            }
        }
        return E;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* renamed from: class, reason: not valid java name */
    private static /* synthetic */ void m9class() {
        c = "(No License)";
        h = 0;
        e = 10L;
        Q = 0L;
        B = "0";
        Y = 100;
        O = true;
        j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
        r = DateUtil.addDay(j, 1);
        long currentTimeMillis = System.currentTimeMillis();
        isLicenseValidity = r.getTime() > currentTimeMillis && j.getTime() < currentTimeMillis;
    }

    /* renamed from: throws, reason: not valid java name */
    private static /* synthetic */ void m6throws(boolean z) {
        File file = new File(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("w\t}��h\u000e\u007fOd\u001aiHq\u0013qJ")).toString());
        File file2 = new File(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(Checker.static("XG\u000fblS\u0002N\\O\u0004")).toString());
        File file3 = new File(new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u000e~\u0003k\u0017o\tcOc\tiHq\u0013qJ")).toString());
        if (file.exists()) {
            file.delete();
        }
        if (file2.exists()) {
            file2.delete();
        }
        if (file3.exists()) {
            file3.delete();
        }
        if (!z) {
            folderName = "";
        }
    }

    /* JADX WARN: Unreachable blocks removed: 8, instructions: 8 */
    protected static synchronized void update() {
        Map map;
        Map map2;
        byte[] bArr;
        try {
            if (!i.booleanValue() && !check()) {
                throw new NoLicenseException(Checker.static("诛何甉步硣皣掤杹斶仉〶"));
            }
            File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
            if (O.booleanValue() || i.booleanValue()) {
                ClassPathResource classPathResource = new ClassPathResource(new StringBuilder().insert(0, SF_FILE_SEPARATOR).append(CacheEntry.abstract("Y\u000ee\u001a")).append(SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
                if (classPathResource.exists()) {
                    File file2 = classPathResource.getFile();
                    file = file2;
                    String fileSHA256 = EncryptUtil.getFileSHA256(file2);
                    File file3 = ResourceUtils.getFile(new StringBuilder().insert(0, SECURITY_PATH_DEV).append(SF_FILE_SEPARATOR).append(Checker.static("yJ\\\u0014U^@")).toString());
                    if (!file3.exists() || !StringUtils.equals(fileSHA256, FileUtils.readFileToString(file3, Charset.defaultCharset()))) {
                        FileUtils.deleteQuietly(new File(SECURITY_PATH_DEV));
                        FileUtils.copyToDirectory(file, new File(SECURITY_PATH_DEV));
                    } else {
                        throw new Exception(CacheEntry.abstract("揵杈讖惢髐诇奌贾ｬ夯赀厘嚜８弪剛揥材乥叩畕６L"));
                    }
                } else {
                    File file4 = new File(new StringBuilder().insert(0, SECURITY_PATH_DEV).append(SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
                    file = file4;
                    if (!file4.exists()) {
                        String str = Checker.static("S\u0004Y掲杲诐攒罄圉持宗盉役��\u0014LJ");
                        Object[] objArr = new Object[2];
                        objArr[0] = O.booleanValue() ? CacheEntry.abstract("诂畄") : Checker.static("弿句");
                        objArr[1] = CacheEntry.abstract("u\u000fh_J=o\u00134\u0012{\u0016h\tp\u001as\u001e<7u\u000faC");
                        throw new Exception(String.format(str, objArr));
                    }
                }
            }
            String sb = new StringBuilder().insert(0, SECURITY_PATH).append(SF_FILE_SEPARATOR).append(folderName).toString();
            if (O.booleanValue() || i.booleanValue()) {
                folderName = "";
                sb = new StringBuilder().insert(0, SECURITY_PATH_DEV).append(SF_FILE_SEPARATOR).append(folderName).toString();
            }
            String sb2 = new StringBuilder().insert(0, sb).append(SF_FILE_SEPARATOR).append(Checker.static("SA\u0014U^@")).toString();
            String sb3 = new StringBuilder().insert(0, sb).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u0010k\u001as\u0003`\r(\u0019v\u0018")).toString();
            String sb4 = new StringBuilder().insert(0, sb).append(SF_FILE_SEPARATOR).append(Checker.static("\u0014U^@")).toString();
            String sb5 = new StringBuilder().insert(0, sb).append(SF_FILE_SEPARATOR).append(CacheEntry.abstract("t\u0019a\fd\u0004g\u0011(\u001ee\u0018")).toString();
            File file5 = new File(sb2);
            if (file.exists()) {
                if (StringUtils.isNotBlank(CoreVersion.licCusHeader)) {
                    hussar_header = new String(hussar_header, "UTF-8").replaceAll("[\\u4E00-\\u9FA5A-Za-z0-9_-]+", CoreVersion.licCusHeader).getBytes("UTF-8");
                }
                Map fileToMap = new RandomFileUtil(file, hussar_header.length).fileToMap();
                byte[] bArr2 = (byte[]) fileToMap.get(Checker.static("@CBccTI\u0014U^@"));
                byte[] bArr3 = (byte[]) fileToMap.get(CacheEntry.abstract("g\u0005(\u0019v\u0018"));
                byte[] bArr4 = (byte[]) fileToMap.get(Checker.static("TIITtdSU\u0014RM@"));
                byte[] bArr5 = new byte[0];
                if (new File(sb3).exists()) {
                    bArr5 = readText(new FileInputStream(ResourceUtils.getFile(sb3))).replaceAll(CacheEntry.abstract("!dG"), "").trim().getBytes();
                }
                boolean equals = Arrays.equals(bArr5, bArr2);
                if (!equals) {
                    EncryptUtil.byteArrayToFile(bArr2, sb3);
                }
                if (file5.exists()) {
                    if (O.booleanValue() || i.booleanValue()) {
                        if (!equals) {
                            bArr = bArr3;
                            EncryptUtil.byteArrayToFile(bArr, sb2);
                            EncryptUtil.byteArrayToFile(bArr, sb4);
                            EncryptUtil.byteArrayToFile(bArr4, sb5);
                            s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(ResourceUtils.getFile(sb5)))));
                        }
                    } else if (!equals) {
                        bArr = bArr3;
                        EncryptUtil.byteArrayToFile(bArr, sb2);
                        EncryptUtil.byteArrayToFile(bArr, sb4);
                        EncryptUtil.byteArrayToFile(bArr4, sb5);
                        s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(ResourceUtils.getFile(sb5)))));
                    }
                } else {
                    EncryptUtil.byteArrayToFile(bArr3, sb2);
                }
                bArr = bArr3;
                EncryptUtil.byteArrayToFile(bArr, sb4);
                EncryptUtil.byteArrayToFile(bArr4, sb5);
                s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(ResourceUtils.getFile(sb5)))));
            }
            if (new File(sb3).exists()) {
                byte[] hexDecode = EncryptUtil.hexDecode(readText(new FileInputStream(ResourceUtils.getFile(sb3))).replaceAll(Checker.static("mL\u001f"), "").trim());
                if (file5.exists()) {
                    byte[] hexDecode2 = EncryptUtil.hexDecode(readText(new FileInputStream(file5)));
                    String str2 = new String(EncryptUtil.Base64Decode(new String(hexDecode2).getBytes()));
                    if (str2.trim().length() == 0 || !str2.contains("=")) {
                        file5.delete();
                        log.error(Checker.static("0:掳来斪仗捵坵］诐就诿釬吩顴盉恎夷Ｐ2>"));
                        SpringContextHolder.shutDownContext();
                    }
                    Date endDateFromMap = getEndDateFromMap(StrKit.splitToMapx(str2, CacheEntry.abstract("W"), "="));
                    File file6 = new File(sb4);
                    if (!file6.exists()) {
                        throw new NoLicenseException(Checker.static("诖硄讞\u001fCM^斦仰昢吁袇试刑陛Ｕ"));
                    }
                    byte[] hexDecode3 = EncryptUtil.hexDecode(readText(new FileInputStream(file6)).replaceAll(Checker.static("mL\u001f"), "").trim());
                    if (DateUtil.compareDate(endDateFromMap, getEndDateFromMap(StrKit.splitToMapx(new String(EncryptUtil.Base64Decode(new String(hexDecode3).getBytes())), CacheEntry.abstract("W"), "="))) < 0) {
                        hexDecode2 = hexDecode3;
                    }
                    if (!new File(sb5).exists()) {
                        throw new NoLicenseException(Checker.static("请硥讒NUXS_H^C\u001fD^^斦仰昢吁袇试刑陛Ｕ"));
                    }
                    s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(ResourceUtils.getFile(sb5)))));
                    byte[] Base64Decode = EncryptUtil.Base64Decode(new String(hexDecode).getBytes());
                    byte[] Base64Decode2 = EncryptUtil.Base64Decode(new String(hexDecode2).getBytes());
                    String str3 = new String(decrypt(Base64Decode, s));
                    String str4 = new String(Base64Decode2);
                    Map splitToMapx = StrKit.splitToMapx(str3, CacheEntry.abstract("W"), "=");
                    c = StrKit.unicodeToString((String) splitToMapx.get(Checker.static("tPRQ")));
                    h = Integer.valueOf((String) splitToMapx.get(CacheEntry.abstract("=a\u0007b\bt\u0018")));
                    e = Long.valueOf(Long.parseLong((String) splitToMapx.get(Checker.static("tuhU`S\\V@"))));
                    Q = Long.valueOf(Long.parseLong((String) splitToMapx.get(CacheEntry.abstract("*\u007f\u0019v$o\u0010~\u0018"))));
                    B = (String) splitToMapx.get(Checker.static("eUnhU`S\\V@"));
                    f = (String) splitToMapx.get(CacheEntry.abstract("O\u0018u,w\ft\u0018d\u001f"));
                    l = (String) splitToMapx.get(Checker.static("b@tiPMHTvp"));
                    String str5 = (String) splitToMapx.get(CacheEntry.abstract("\\;O3Q#"));
                    if (str5 != null && !str5.equals(Checker.static("TDSX"))) {
                        k = str5;
                    }
                    Map splitToMapx2 = StrKit.splitToMapx(str4, CacheEntry.abstract("W"), "=");
                    j = getStartDateFromMap(splitToMapx);
                    r = getEndDateFromMap(splitToMapx);
                    if (i.booleanValue()) {
                        if (h.intValue() == 3 || h.intValue() == 6) {
                            if (A.booleanValue() && Boolean.getBoolean("hussar.internet.status")) {
                                String l2 = Long.toString(System.nanoTime());
                                String md5Digest = EncryptUtil.md5Digest(l2);
                                JSONObject jSONObject = new JSONObject();
                                jSONObject.put(CacheEntry.abstract("u\u001c{\u0018"), l2);
                                jSONObject.put(Checker.static("VD"), SystemInfo.getIpAddr());
                                jSONObject.put(CacheEntry.abstract("c\u001ev\u001aH\u001cz\t"), c);
                                jSONObject.put(Checker.static("^OPshTXy^[Q"), RequstCode);
                                String sb6 = new StringBuilder().insert(0, D).append(CacheEntry.abstract("st\u0018m\u000fu��c?j\u001cu\u0006<\u000bn\u0018t\u0007")).toString();
                                jSONObject.put(Checker.static("NHOQ"), CacheEntry.abstract("t\rr\u0014d\u001c"));
                                JSONObject sendPost = HussarHttpRequest.sendPost(sb6, jSONObject, md5Digest);
                                if (sendPost.containsKey(Checker.static("UIYQicTIy^[Q"))) {
                                    Integer integer = sendPost.getInteger(CacheEntry.abstract("u\u0019q\ty\u0003`\rE\u0012s\t"));
                                    String string = sendPost.getString(Checker.static("IPS@"));
                                    if (integer.intValue() == 417 || integer.intValue() == 424 || integer.intValue() == 426) {
                                        log.info(sendPost.getString(CacheEntry.abstract("��v\u001bu\u001cp\t")));
                                    } else if (integer.intValue() == 200 && l2.equals(string)) {
                                        String string2 = sendPost.getString(Checker.static("^PKU"));
                                        if (StringUtils.isNotBlank(string2)) {
                                            jSONObject.put(CacheEntry.abstract("\u0007s\t^<"), HussarHttpRequest.getOutIPV4(string2));
                                        }
                                    }
                                    System.getProperties().put(Checker.static("|(%SJdbb~ebsnebsmxuY@b\u007fipxq"), CacheEntry.abstract("r\u000fb\t"));
                                    jSONObject.put(Checker.static("YXuyBAs_Y["), SM4Util.encrypt(JSON.toJSONString(SystemUtils.getSystemInfo()), md5Digest));
                                    jSONObject.put(CacheEntry.abstract("r\u0004g\t"), Checker.static("UI\\NmhCoRT\\_"));
                                    String str6 = (String) splitToMapx.get(CacheEntry.abstract(".a\rg\tr\u001e"));
                                    if (StringUtils.isNotEmpty(str6) && !Checker.static("TDSX").equals(str6)) {
                                        jSONObject.put(CacheEntry.abstract("r\u0004g\t"), Checker.static("XHPVX"));
                                    }
                                    JSONObject sendPost2 = HussarHttpRequest.sendPost(sb6, jSONObject, md5Digest);
                                    if (sendPost2.containsKey(CacheEntry.abstract("u\u0019q\ty\u0003`\rE\u0012s\t"))) {
                                        Integer integer2 = sendPost2.getInteger(Checker.static("UIYQicTIy^[Q"));
                                        String string3 = sendPost2.getString(CacheEntry.abstract("u\u001c{\u0018"));
                                        if (integer2.intValue() != 200 || !l2.equals(string3)) {
                                            if (integer2.intValue() != 417) {
                                                if (integer2.intValue() != 426) {
                                                    throw new Exception(new StringBuilder().insert(0, Checker.static("接杢y[]S骠诫夐责��-锵试缧砾Ｎ")).append(Integer.toString(integer2.intValue())).toString());
                                                }
                                                throw new Exception(new StringBuilder().insert(0, Checker.static("役剷掹杤骠诫夐责��-锵试缧砾Ｎ")).append(Integer.toString(integer2.intValue())).append(CacheEntry.abstract("｠")).append(sendPost2.getString(CacheEntry.abstract("��v\u001bu\u001cp\t"))).toString());
                                            }
                                            throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("弳剓揭杄髰诃奈贳`\u0019镱诩罫砖ｶ")).append(Integer.toString(integer2.intValue())).append(Checker.static("Ｘ")).append(sendPost2.getString(Checker.static("`B_IPXQ"))).toString());
                                        }
                                        Map splitToMapx3 = StrKit.splitToMapx(SM4Util.decrypt(sendPost2.getString(Checker.static("^PKU")), md5Digest), CacheEntry.abstract("W"), "=");
                                        if (!splitToMapx3.containsKey(Checker.static("s~B^tPRQ")) || !splitToMapx3.containsKey(CacheEntry.abstract("*b\fa\u001cB\u001cc\t")) || !splitToMapx3.containsKey(Checker.static("HIH~PKQ")) || !splitToMapx3.containsKey(CacheEntry.abstract("<i\u0016r\u0002"))) {
                                            throw new Exception(CacheEntry.abstract("掎朾俺怏骒认夶赙\u000fs，揥材来劧嘕引幔"));
                                        }
                                        if (md5Digest.equals((String) splitToMapx3.get(Checker.static("xUZZZ")))) {
                                            String str7 = (String) splitToMapx3.get(CacheEntry.abstract("c\u001ev\u001aH\u001cz\t"));
                                            Date startDateFromMap = getStartDateFromMap(splitToMapx3);
                                            Date endDateFromMap2 = getEndDateFromMap(splitToMapx3);
                                            if (!StringUtils.equals(str7, c) || !DateUtils.isSameDay(startDateFromMap, j) || !DateUtils.isSameDay(endDateFromMap2, r)) {
                                                throw new Exception(Checker.static("掹杼诒悸髺证夺贓Ｑ夁贞厹囍［冧欛甂诐＠厬叓掎李斠仚佦庮＾\u0014"));
                                            }
                                        } else {
                                            throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("掎朾O\u000fu��i髰诃奈贳`\u0019镱诩罫砖ｶ")).append(Integer.toString(HttpStatus.INTERNAL_SERVER_ERROR.value())).append(Checker.static("＊掅杤朡力噙弽希")).toString());
                                        }
                                    }
                                }
                            }
                            Y = Integer.MAX_VALUE;
                            RLInterceptor.resetCount(Y);
                            map = splitToMapx;
                        } else {
                            throw new NoLicenseException(new StringBuilder().insert(0, Checker.static("變伉用歨硘皹掸杸斡仛〣役剷下弧叽樋弮＊掅杤斫仌下\u0005\u0014")).append(h.intValue() == 1 ? CacheEntry.abstract("郮缏掟术") : h.intValue() == 5 ? Checker.static("扩匴掷杷") : h).toString());
                        }
                    } else {
                        if (h.intValue() == 3 || h.intValue() == 6) {
                            throw new NoLicenseException(CacheEntry.abstract("开厪4讵甮揵杈亵兦诤圮彽及橁弑会甯ｰ郪缋诡伒画邀罴揵杔ｭ"));
                        }
                        map = splitToMapx;
                    }
                    if (map.containsKey(Checker.static("[B^IXPZ"))) {
                        String str8 = (String) splitToMapx.get(CacheEntry.abstract(";v\u001au\u0014x\u0002"));
                        if (str8 != null && !Checker.static("TDSX").equals(str8) && !str8.equals(CoreVersion.getLicenseVersion())) {
                            String str9 = (String) splitToMapx.get(CacheEntry.abstract(".a\rg\tr\u001e"));
                            throw new Exception(new StringBuilder().insert(0, Checker.static("! \u0001,彞剪掤杹斶仉与")).append((CacheEntry.abstract("h\b{��").equals(str9) || str9 == null) ? "" : str9).append(Checker.static("宻刜匬特朋掤杩\u0001phU_S^Q\t")).append(str8).append(CacheEntry.abstract("\u000bw+Z彴刑稍廲牓杌>\u0006h\u000egT`\ba\u001bo\u0012yQ")).append(CoreVersion.getLicenseVersion()).append(Checker.static("7;\u0007\u0006探杢丈稆庨牤朖丼匆酹")).toString());
                        }
                        if (splitToMapx.containsKey(CacheEntry.abstract("P;v\u001au\u0014x\u0002"))) {
                            String str10 = (String) splitToMapx.get(Checker.static("@[B^IXPZ"));
                            String frameworkVersion = CoreVersion.getFrameworkVersion();
                            if (str10 != null && !CacheEntry.abstract("h\b{��").equals(str10)) {
                                Matcher matcher = CoreVersion.getVersionPatern().matcher(frameworkVersion);
                                if (!matcher.matches()) {
                                    throw new Exception(Checker.static("\u0006<\u001d宪刍匰牥服探杹丼又掤亢靿宜刻匱牤朖稺庰Ｕ"));
                                }
                                if (!str10.contains(matcher.group(1))) {
                                    throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("q\n[宁剖匐爵朧揸杤乑叩揵亓霾宄剓匑爴朮穲庙ｬ彀別牎村中ｶ")).append(frameworkVersion).toString());
                                }
                            }
                        }
                    }
                    if (h.intValue() == 1) {
                        map2 = splitToMapx2;
                        j = getStartDateFromMap(splitToMapx);
                        r = getEndDateFromMap(splitToMapx);
                        Y = Integer.MAX_VALUE;
                    } else if ((O.booleanValue() && h.intValue() == 6) || (i.booleanValue() && h.intValue() == 3)) {
                        j = getStartDateFromMap(splitToMapx);
                        r = getEndDateFromMap(splitToMapx);
                        if (DateUtil.getDiffYear(j, r) > 0) {
                            r = DateUtil.addYear(j, 1);
                        }
                        map2 = splitToMapx2;
                        map2.put(Checker.static("utdF@~PKQ"), DateUtil.getDay(r));
                    } else {
                        if (i.booleanValue() && h.intValue() == 6) {
                            throw new Exception(CacheEntry.abstract("弳剋揵杈旷仑书诓畕掓朣２霻诒畔玭壺诡畞诤彨受揵杔の"));
                        }
                        if (!O.booleanValue() || h.intValue() != 3) {
                            if (!O.booleanValue() || h.intValue() == 6) {
                                j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
                                r = DateUtil.addWeek(j, 1);
                                if (!splitToMapx2.containsKey(Checker.static("utdF@~PKQ"))) {
                                    splitToMapx2.put(Checker.static("utdF@~PKQ"), DateUtil.getDay(r));
                                    map2 = splitToMapx2;
                                } else {
                                    r = DateUtil.parse((String) splitToMapx2.get(CacheEntry.abstract("-d\u0004r\u0004B\u001cc\t")), "yyyy-MM-dd");
                                    map2 = splitToMapx2;
                                }
                            } else {
                                throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("弶刑玈墢习诂畄玾壩＋援权乵玴壣下卄酆ｼ掯期旦攵〙@彍刨掏朿丸｣F\u001f|\fs\u001ecQ")).append(h).toString());
                            }
                        } else {
                            throw new Exception(Checker.static("彿剷掹杼旔攵ｺ试産玙墾霰佄甎诸甉探杹］彴剡探杢斁任丝弬叫掹杼〶"));
                        }
                    }
                    Date startDateFromMap2 = getStartDateFromMap(map2);
                    Date endDateFromMap3 = getEndDateFromMap(splitToMapx2);
                    long currentTimeMillis = System.currentTimeMillis();
                    isLicenseValidity = r.getTime() > currentTimeMillis && j.getTime() < currentTimeMillis;
                    if (!isLicenseValidity) {
                        exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("畛诱硼－e")).append(RequstCode).append(Checker.static("\u000b\u0007類盂吷私Ｅ=")).append(c).append(CacheEntry.abstract("\u001bg讫厇籽埶－e")).append(h.intValue() == 1 ? Checker.static("郒罃玐墷") : CacheEntry.abstract("弆厬玸壯")).append(Checker.static("\u000b\u0007掯杯旌闅Ｅ=")).append(DateUtil.format(j, "yyyy-MM-dd")).append(CacheEntry.abstract("]iL")).append(DateUtil.format(r, "yyyy-MM-dd")).append(Checker.static(":+'<彮到粍绹旛闓両園掹杼旂閉卌间冎Ｚ诊棰柞糝绲旗闞昕吗袌篍攓Ｍ成釀斗生词掹杼〶")).toString(), a.booleanValue());
                        return;
                    }
                    isLicenseValidity &= (h.intValue() == 1 || h.intValue() == 3) ? SystemInfo.checkMacAndCpu(f, l).booleanValue() : isLicenseValidity;
                    splitToMapx2.put(CacheEntry.abstract("*b\fa\u001cB\u001cc\t"), DateUtil.format(new Date(), "yyyy-MM-dd"));
                    FileUtil.writeText(ResourceUtils.getFile(file5.getAbsolutePath()), EncryptUtil.hexEncode(EncryptUtil.Base64Encode(StrKit.format(Checker.static("\u007fXBk\u0019\u0012B^OD\u001cQK\u0006.\u0002G_Sh[EZ\t\u0006\u000b;NXYtZRH\u001cQG\ns^C@jIFX_\fDI"), new Object[]{splitToMapx2.get(CacheEntry.abstract("O\u0018u,w\ft\u0018d\u001f")), splitToMapx2.get(Checker.static("rrlUX~PKQ")), splitToMapx2.get(CacheEntry.abstract("(}\fB\u001cc\t")), splitToMapx2.get(Checker.static("utdF@~PKQ"))}).getBytes())));
                    if (isLicenseValidity) {
                        isDateTimeValidity = endDateFromMap3.getTime() > currentTimeMillis && startDateFromMap2.getTime() < currentTimeMillis;
                        if (!isDateTimeValidity) {
                            exitSystem(Checker.static("诐棬柏糚给旻闓昃吜袚篞攍"), a.booleanValue());
                            return;
                        }
                        return;
                    }
                    exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("畛诱硼－e")).append(RequstCode).append(Checker.static("\u000b\u0007類盂吷私Ｅ=")).append(c).append(CacheEntry.abstract("\u001bg讫厇籽埶－e")).append(h.intValue() == 1 ? Checker.static("郒罃玐墷") : CacheEntry.abstract("弆厬玸壯")).append(Checker.static("\u000b\u0007掯杯旌闅Ｅ=")).append(DateUtil.format(j, "yyyy-MM-dd")).append(CacheEntry.abstract("]iL")).append(DateUtil.format(r, "yyyy-MM-dd")).append("\r\n").toString(), a.booleanValue());
                    return;
                }
                throw new NoLicenseException(CacheEntry.abstract("诱砓访\u0014sKc\u001dv旾仠時吵裃诩剝陳ｭ"));
            }
            throw new NoLicenseException(CacheEntry.abstract("變硥诔K5e\u0018u\u0013{Kc\u001dv旾仠時吵裃诩剝陳ｭ"));
        } catch (Exception e2) {
            exitSystem(e2.getLocalizedMessage(), a.booleanValue());
        } catch (NoLicenseException e3) {
            m9class();
            exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("靕揸杤廈甮斝泎欃带告劯ｰ诵畊诡欎弜揠杅ｼ\u001af")).append(e3.getMessage()).toString(), a.booleanValue(), true, false);
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* renamed from: this, reason: not valid java name */
    private static /* synthetic */ void m5this() {
        h = 5;
        Y = Integer.MAX_VALUE;
        j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
        r = DateUtil.addYear(j, 100);
        e = 20000L;
        Q = 0L;
        B = "0";
        long currentTimeMillis = System.currentTimeMillis();
        isLicenseValidity = r.getTime() > currentTimeMillis && j.getTime() < currentTimeMillis;
    }

    protected static boolean checkLicenseValidity() {
        m12true();
        return isLicenseValidity;
    }

    public static boolean isLicenseValidity(String a2, boolean z) {
        if (O.booleanValue()) {
        }
        m = a2;
        a = Boolean.valueOf(z);
        m12true();
        return isLicenseValidity;
    }

    /* JADX WARN: Unreachable blocks removed: 2, instructions: 2 */
    protected static void exitSystem(String a2, boolean z, boolean z2, boolean z3) {
        boolean z4;
        String uploadPath = LicenseInfo.getUploadPath();
        if (!O.booleanValue() && !i.booleanValue()) {
            m2protected(new File(SECURITY_PATH));
        }
        File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
        ClassPathResource classPathResource = new ClassPathResource(new StringBuilder().insert(0, CacheEntry.abstract("H\u001fm\u0012")).append(SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
        if (!file.exists() && classPathResource.exists() && i.booleanValue()) {
            try {
                FileUtil.writeText(ResourceUtils.getFile(new StringBuilder().insert(0, SECURITY_PATH_DEV).append(SF_FILE_SEPARATOR).append(Checker.static("yJ\\\u0014U^@")).toString()), EncryptUtil.getFileSHA256(classPathResource.getFile()));
            } catch (Exception e2) {
            }
        }
        int length = (210 - uploadPath.length()) / 4;
        StringBuilder sb = new StringBuilder();
        sb.append(CacheEntry.abstract("╫"));
        int i2 = 0;
        while (i2 < uploadPath.length() + length) {
            i2++;
            sb.append(Checker.static("┵"));
        }
        sb.append(CacheEntry.abstract("╷"));
        StringBuilder sb2 = new StringBuilder();
        sb2.append(Checker.static("┣"));
        int i3 = 0;
        while (i3 < uploadPath.length() + length) {
            i3++;
            sb2.append(CacheEntry.abstract("╥"));
        }
        sb2.append(Checker.static("┯"));
        log.error(new StringBuilder().insert(0, "\r\n").append(a2).append("\r\n").toString());
        if ((!O.booleanValue() || Y.intValue() != 100) && (O.booleanValue() || i.booleanValue())) {
            log.error(new StringBuilder(CacheEntry.abstract("!\\\u0010\u001c|v \u0014n\u0013g\tc\u00120Wa\u000b=\u0015i\u0013cL(Uf\bu\u0018i@z\u000b=\u0007〿'lぱ1\u0005s\\s\u001ew\t`]n\u0003I9e\u0014W@{\rcL~\u0004k@c\u000e@?g ﹞Z&╾\u001d\u0011dn")).reverse().toString(), new Object[]{sb.toString(), Checker.static("syU\u0012]ZOC\u000eX_BHYXBc~\bsICI\u001b"), new StringBuilder().insert(0, CacheEntry.abstract("┈P!︥录到甤讛砞ｾ")).append(RequstCode).toString(), sb2.toString()});
            String str = Checker.static("q\u0014\u0017UZB");
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(CacheEntry.abstract("c\u0015o\u0001"), str);
            jSONObject.put(Checker.static("Y^[Q"), RequstCode);
            if (z2) {
                jSONObject.put(Checker.static("PG"), System.getProperty(CacheEntry.abstract("\u0015uSy\rr\u0001")));
            }
            jSONObject.put(CacheEntry.abstract("j\r"), Checker.static("OMc`BBN\u001cJ]"));
            jSONObject.put(CacheEntry.abstract("\fc\u000fd\u0005p\n"), CoreVersion.getFrameworkVersion());
            jSONObject.put(Checker.static("DCXD+{B^IXPZ"), CoreVersion.getVersion());
            System.setProperty(CacheEntry.abstract("\u001bz\u0016gS@-\u007f^i\u001fg\u0019{\tl\u0017"), Checker.static("J[]LQ"));
            new UI(jSONObject, O.booleanValue()).Entry();
            z4 = z3;
        } else {
            log.error(new StringBuilder(CacheEntry.abstract("!\\\u0010\u001c|v \u0014n\u0013g\tc\u00120Wa\u000b=\u0015i\u0013cL(Uf\bu\u0018i@z\u000b=\u0007〿'lぱ1\u0005s\\s\u001ew\t`]n\u0003I9e\u0014W@{\rcL~\u0004k@c\u000e@?g ﹞Z&╾\u001d\u0011dn")).reverse().toString(), new Object[]{sb.toString(), uploadPath, Checker.static("┩\u0001&﹒彴剡甉识砾Ｎ") + RequstCode, sb2.toString()});
            z4 = z3;
        }
        if (!z4) {
            return;
        }
        SpringContextHolder.shutDownContext();
    }

    protected static String getOtherLimit() {
        m12true();
        return B;
    }

    public static void exitSystem(String a2, boolean z) {
        exitSystem(a2, z, true, true);
    }

    public static String getMac() {
        m12true();
        return f;
    }

    public static Boolean isDev(String a2) {
        if (StringUtils.isEmpty(c)) {
            m = a2;
            m12true();
        }
        return i;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public static boolean isVolLicense() {
        m12true();
        return h.intValue() == 2;
    }

    public static Date getStartDate() {
        m12true();
        return j;
    }

    public static Boolean isTrial() {
        m12true();
        return O;
    }

    protected static Long getSiteLimit() {
        m12true();
        return Q;
    }

    /* JADX WARN: Unreachable blocks removed: 2, instructions: 2 */
    public static boolean isLicenseValidity() {
        if (checkLicenseValidity()) {
            long currentTimeMillis = System.currentTimeMillis();
            isLicenseValidity = getEndDate().getTime() > currentTimeMillis && getStartDate().getTime() < currentTimeMillis && RequestCount.getCount().intValue() > 0;
            return isLicenseValidity;
        }
        return false;
    }

    /* JADX WARN: Unreachable blocks removed: 2, instructions: 2 */
    /* renamed from: protected, reason: not valid java name */
    private static /* synthetic */ boolean m2protected(File a2) {
        if (a2.isDirectory()) {
            String[] list = a2.list();
            int i2 = 0;
            int i3 = 0;
            while (i2 < list.length) {
                if (m2protected(new File(a2, list[i3]))) {
                    i3++;
                    i2 = i3;
                } else {
                    return false;
                }
            }
        }
        return a2.delete();
    }

    public static Integer getLicenseType() {
        m12true();
        return h;
    }

    public static Integer getVisitLimit() {
        m12true();
        return Y;
    }

    public static Boolean isTrial(String a2) {
        m = a2;
        m12true();
        return O;
    }

    /* JADX WARN: Unreachable blocks removed: 5, instructions: 5 */
    /* renamed from: const, reason: not valid java name */
    private static /* synthetic */ boolean m3const(String a2) {
        try {
            PathMatchingResourcePatternResolver pathMatchingResourcePatternResolver = new PathMatchingResourcePatternResolver();
            Resource[] resources = pathMatchingResourcePatternResolver.getResources(CacheEntry.abstract("d\u0010a\bh\u0010g\tcJF,v\u0011r\u0003\u007f\u0011x\u0005sHe\u001c`\u0007k\u0011"));
            Resource[] resources2 = pathMatchingResourcePatternResolver.getResources(Checker.static("\u001e\u001aaxEMQON\u0017CEUETXX@v#^W[LRX"));
            Resource[] resourceArr = new Resource[resources.length + resources2.length];
            System.arraycopy(resources, 0, resourceArr, 0, resources.length);
            System.arraycopy(resources2, 0, resourceArr, resources.length, resources2.length);
            if (resourceArr.length <= 0) {
                return false;
            }
            String externalForm = resourceArr[0].getURL().toExternalForm();
            if (externalForm.startsWith(CacheEntry.abstract("z\u000em\u001f<R"))) {
                if (!externalForm.contains(F) && !externalForm.contains(w)) {
                    log.warn(Checker.static("业阙歐郑罓稡廲裝恆愴篝攎Ｍ批匳吳盹\u0001G_匢另迪衽吱皰邕缄目彞专禼扻州俈攔Ｍ扡巟俟攞參胗寝臲最劆吃劒夀贚Ｕ"));
                } else {
                    i = true;
                    return false;
                }
            }
            if (externalForm.startsWith(CacheEntry.abstract("{\u000bo\\z\u000em\u001f<R"))) {
                log.warn(Checker.static("乌阂歙郔罅稪庥袝恋慲算攟Ａ扴匩吴皵UU\u000f即内宲专禼扻州俈攔Ｍ扡巟俟攞參胗寝臲最劆吃劒夀贚Ｕ"));
            }
            Resource[] resources3 = pathMatchingResourcePatternResolver.getResources(CacheEntry.abstract("\tk\u001ds\bk\u0001r\u0015!JO)u\u000ez\u00121\u0001t\u001aq\teIh\u0014`\u0012"));
            if (resources3.length > 0) {
                Resource resource = resources3[0];
                InputStream openStream = resource.getURL().openStream();
                OrderedProperties orderedProperties = new OrderedProperties();
                orderedProperties.load(openStream);
                openStream.close();
                for (Map.Entry<Long, Long> entry : m7catch().entrySet()) {
                    Long key = entry.getKey();
                    Long value = entry.getValue();
                    String binaryString = Long.toBinaryString(key.longValue());
                    String binaryString2 = Long.toBinaryString(value.longValue());
                    if (!orderedProperties.containsKey(binaryString) || !orderedProperties.getProperty(binaryString).equals(binaryString2)) {
                        log.warn(String.format(Checker.static("棧浧刚弣帾俣攞\tI\f\u001aG"), key, value));
                        log.error(CacheEntry.abstract("p\u0011梠浕剕邴罕稪廕袼怚愞箋放ｰ服勚吴勈夷赘＊}-讫佹畕扈卥稕廪扂卯吓醫斬邏罳ｻ\u000bw"));
                        return false;
                    }
                }
                InputStream openStream2 = resource.getURL().openStream();
                String readLine = new BufferedReader(new InputStreamReader(openStream2, "UTF-8")).readLine();
                if (readLine.contains(Checker.static("\u0083"))) {
                    c = readLine.substring(readLine.indexOf(183) + 1, readLine.lastIndexOf(183));
                }
                openStream2.close();
                return true;
            }
            return false;
        } catch (IOException e2) {
            exitSystem(CacheEntry.abstract("杪加彸帾ｼ"), false);
            return true;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 2, instructions: 2 */
    protected static byte[] decrypt(byte[] a2, String a3) {
        byte[] doFinal;
        ByteArrayOutputStream byteArrayOutputStream;
        try {
            PKCS8EncodedKeySpec pKCS8EncodedKeySpec = new PKCS8EncodedKeySpec(EncryptUtil.Base64Decode(a3.getBytes()));
            KeyFactory keyFactory = KeyFactory.getInstance(Checker.static("clu"));
            PrivateKey generatePrivate = keyFactory.generatePrivate(pKCS8EncodedKeySpec);
            Cipher cipher = Cipher.getInstance(keyFactory.getAlgorithm());
            cipher.init(2, generatePrivate);
            int length = a2.length;
            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
            int i2 = 0;
            int i3 = 0;
            for (int i4 = length; i4 - i2 > 0; i4 = length) {
                if (length - i2 <= 128) {
                    int i5 = i2;
                    doFinal = cipher.doFinal(a2, i5, length - i5);
                    byteArrayOutputStream = byteArrayOutputStream2;
                } else {
                    doFinal = cipher.doFinal(a2, i2, 128);
                    byteArrayOutputStream = byteArrayOutputStream2;
                }
                i3++;
                byteArrayOutputStream.write(doFinal, 0, doFinal.length);
                i2 = i3 * 128;
            }
            byte[] byteArray = byteArrayOutputStream2.toByteArray();
            byteArrayOutputStream2.close();
            return byteArray;
        } catch (Exception e2) {
            log.error(e2.getLocalizedMessage());
            return a2;
        }
    }

    protected static Long getUserLimit() {
        m12true();
        return e;
    }

    protected static String getName() {
        m12true();
        return c;
    }

    public static Date getEndDate() {
        m12true();
        return r;
    }

    public static void setUseSeparation(Boolean a2) {
        a = a2;
    }

    /* JADX WARN: Unreachable blocks removed: 3, instructions: 3 */
    /* renamed from: catch, reason: not valid java name */
    private static /* synthetic */ Map<Long, Long> m7catch() {
        HashMap hashMap = new HashMap();
        try {
            for (URL url : m8this()) {
                String externalForm = url.toExternalForm();
                if (externalForm.contains(CacheEntry.abstract("<\u001br\u001ce\u0003yN")) && externalForm.endsWith(Checker.static("\u001fUG"))) {
                    if (externalForm.contains(CacheEntry.abstract("9T/RPB>ase\u0011z\u0013m��bK<\u001br\u001ce\u0003yN"))) {
                        m4super(new StringBuilder().insert(0, Checker.static("ORT\\_")).append(externalForm.substring(externalForm.lastIndexOf(CacheEntry.abstract("9T/RPB>ase\u0011z\u0013m��bK<\u001br\u001ce\u0003yN")) + 17, externalForm.length())).toString(), url, hashMap);
                    } else if (externalForm.contains(Checker.static("axr\u0016ocg\u0005Y]F_YDu\"TX[EVW"))) {
                        m4super(new StringBuilder().insert(0, CacheEntry.abstract("\u001ey\u000fy\n")).append(externalForm.substring(externalForm.lastIndexOf(Checker.static("\\s\u007f\u001drhk\u000eIVPT_OR)~SMNX\\\u001b")) + 15, externalForm.length())).toString(), url, hashMap);
                    }
                } else {
                    String file = url.getFile();
                    if (StringUtils.isNotEmpty(file)) {
                        m4super(new StringBuilder().insert(0, CacheEntry.abstract("\u001ey\u000fy\n")).append(file.substring(file.lastIndexOf(Z))).toString(), url, hashMap);
                    }
                }
            }
        } catch (IOException e2) {
            log.error(e2.getLocalizedMessage());
        }
        return hashMap;
    }

    public static Boolean getUseSeparation() {
        return a;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.util.List] */
    public static List<Map<String, Object>> checkData(String a2) {
        ArrayList arrayList = new ArrayList();
        if (a2 != null) {
            arrayList = JdbcUtil.query(a2);
        }
        return arrayList;
    }

    /* JADX WARN: Unreachable blocks removed: 3, instructions: 3 */
    /* renamed from: this, reason: not valid java name */
    private static /* synthetic */ Set<URL> m8this() {
        HashSet hashSet = new HashSet();
        String str = CacheEntry.abstract("u\tz\u0014w\u0006)W0N1Nk\t");
        if (StringUtils.isNotEmpty(m)) {
            str = new StringBuilder().insert(0, m).append(Checker.static("\u0003\u0010\u001fUG")).toString();
        }
        try {
            for (Resource resource : new PathMatchingResourcePatternResolver().getResources(new StringBuilder().insert(0, CacheEntry.abstract("\u0003r\u0004u\u000ej��o\b+@")).append(str).toString())) {
                URL url = resource.getURL();
                String externalForm = url.toExternalForm();
                if (!externalForm.startsWith(Checker.static("AEVT\u0005\u001b"))) {
                    if (externalForm.startsWith(CacheEntry.abstract("t\u0004tG|\bw\u0005;U")) && externalForm.contains(".jar")) {
                        if (!externalForm.contains(Checker.static("\u0011\u0014dbn~\u0017xij\u0005BjlT__B\u001e\u001b")) || !externalForm.endsWith(CacheEntry.abstract("Nk\t"))) {
                            String substring = externalForm.substring(0, externalForm.lastIndexOf(".jar") + 4);
                            if (substring.contains(Checker.static("\u001epih\fOCa\u0003VX]\u001b"))) {
                                hashSet.add(new URL(substring.substring(4)));
                            } else if (substring.contains("!/")) {
                                hashSet.add(new URL(substring));
                            }
                        } else {
                            hashSet.add(url);
                        }
                    }
                } else {
                    hashSet.add(url);
                }
            }
        } catch (IOException e2) {
            log.error(e2.getLocalizedMessage());
        }
        return hashSet;
    }

    public static String getOS() {
        m12true();
        return k;
    }

    /* renamed from: char, reason: not valid java name */
    private static /* synthetic */ void m11char() {
        HashMap hashMap = new HashMap();
        hashMap.put(0, Checker.static("强叠掷杷"));
        hashMap.put(1, CacheEntry.abstract("郻缚授朸"));
        hashMap.put(2, Checker.static("zu]掷杷"));
        hashMap.put(3, CacheEntry.abstract("弓厹授朸"));
        hashMap.put(5, Checker.static("扩匴掷杷"));
        hashMap.put(6, CacheEntry.abstract("识畀授朸"));
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty(Checker.static("VXII\u0004Rc}F^[EPF"));
        stringBuffer.append(property).append(Logo.getTextLogo());
        stringBuffer.append(property).append(CacheEntry.abstract(":A'\\!Z!Z3H [|\u00071J=F [7L|\u0007'\\&];@>E|\u0007\u0001z7L1J'\\ [;@&]+P\u0007|&];@>E1J:A3H ["));
        stringBuffer.append(property).append(Checker.static("\n]V\u0010\u001b\u001c\u0017\u0001\n\u0016\u001d]V\u0006\r\u0007\f\u001a\u0011\u001f\u0014]V +\u0016\u001d\u0010\u001b\u0006\r\u0001\n\u001a\u0011\u0007\f\n\u0001&-\u0007\f\u001a\u0011\u001f\u0014"));
        StringBuffer stringBuffer2 = new StringBuffer();
        if (!O.booleanValue()) {
            if (!System.getProperties().containsKey("hussar.banner.skip")) {
                System.out.print(stringBuffer.toString());
            }
            stringBuffer2.append(property).append(CacheEntry.abstract("畒诤硩：r")).append(RequstCode);
            stringBuffer2.append(property).append(Checker.static("類盂吷私Ｅ=")).append(c);
            stringBuffer2.append(property).append(CacheEntry.abstract("订厎籨埣：r")).append((String) hashMap.get(h));
            stringBuffer2.append(property).append(Checker.static("掯杯旌闅Ｅ=")).append(DateUtil.format(j, "yyyy-MM-dd")).append(CacheEntry.abstract("H~[")).append(DateUtil.format(r, "yyyy-MM-dd"));
            if (h.intValue() == 3) {
                stringBuffer2.append(property).append(Checker.static("弥剫丗弧叽牲掹杼\u0018彽厧授杈郞刻劯胆叱陽\u0001T\u001a\u0011歄弣玅墢诱佲甏郄罈掹杼\u0014"));
            }
            System.out.println(stringBuffer2.append("\r\n").toString());
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* renamed from: byte, reason: not valid java name */
    private static /* synthetic */ void m10byte() {
        if (!i.booleanValue()) {
            RequstCode = new StringBuilder().insert(0, CacheEntry.abstract("NP&A")).append(StringUtils.removeStart(RequstCode, "Y-")).toString();
        } else {
            RequstCode = new StringBuilder().insert(0, Checker.static("r\u001c\f\u0019")).append(StringUtils.removeStart(RequstCode, "Y-")).toString();
        }
    }

    /* renamed from: super, reason: not valid java name */
    private static /* synthetic */ void m4super(String a2, URL a3, Map<Long, Long> map) throws IOException {
        map.put(Long.valueOf(CRC32Util.crc32Encrypt(a2.getBytes("UTF-8"))), Long.valueOf(CRC32Util.crc32Encrypt(FileUtil.readFromInputStream(a3.openStream()))));
    }
}
